de.esprit.appsuite.database.dbgui.field

## Class FieldAdapter

- java.lang.Object
- - de.esprit.appsuite.database.dbgui.field.FieldAdapter

-     public class FieldAdapter
      extends java.lang.Object

  This is a helper class for encapsulating field properties
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldAdapter(NlsDatabaseKey nlsKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `applyDefaultValueOnField(Field field)` Applies the insert-default-value to the given field if any was defined in the `InsertFactory`
    `ColumnLabel` | `getColumnLabel()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getLabel()`
    `ModifyFlag` | `getModifyFlag()`
    `NlsDatabaseKey` | `getNlsKey()`
    `java.awt.Component` | `getUnitComponent()`
    `boolean` | `isNotNull()`
    `boolean` | `isPrimaryKey()`
    `boolean` | `isStretchableX()`
    `boolean` | `isStretchableY()`
    `void` | `resetModifyFlag()`
    `void` | `setModified()`
    `void` | `setModified(boolean isModified)`
    `void` | `setModifyFlag(ModifyFlag modifyFlag)`
    `void` | `setNotNull(boolean isNotNull)`
    `void` | `setPrimaryKey(boolean isPrimaryKey)`
    `void` | `setStretchableX(boolean isStretchableX)`
    `void` | `setStretchableY(boolean isStretchableY)`
    `void` | `setUnitComponent(java.awt.Component unitComp)`
    `void` | `setUnitString(java.lang.String unitStr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldAdapter

          public FieldAdapter(NlsDatabaseKey nlsKey)

  - ### Method Detail

    - #### getFullName

          public java.lang.String getFullName()

    - #### getLabel

          public java.lang.String getLabel()

    - #### getModifyFlag

          public ModifyFlag getModifyFlag()

    - #### setModifyFlag

          public void setModifyFlag(ModifyFlag modifyFlag)

    - #### resetModifyFlag

          public void resetModifyFlag()

    - #### getColumnLabel

          public ColumnLabel getColumnLabel()

    - #### getUnitComponent

          public java.awt.Component getUnitComponent()

    - #### setUnitComponent

          public void setUnitComponent(java.awt.Component unitComp)

    - #### setUnitString

          public void setUnitString(java.lang.String unitStr)

    - #### isPrimaryKey

          public boolean isPrimaryKey()

    - #### setPrimaryKey

          public void setPrimaryKey(boolean isPrimaryKey)

    - #### isStretchableX

          public boolean isStretchableX()

    - #### setStretchableX

          public void setStretchableX(boolean isStretchableX)

    - #### isStretchableY

          public boolean isStretchableY()

    - #### setStretchableY

          public void setStretchableY(boolean isStretchableY)

    - #### getNlsKey

          public NlsDatabaseKey getNlsKey()

    - #### setNotNull

          public void setNotNull(boolean isNotNull)

    - #### isNotNull

          public boolean isNotNull()

    - #### setModified

          public void setModified(boolean isModified)

    - #### setModified

          public void setModified()

    - #### applyDefaultValueOnField

          public static boolean applyDefaultValueOnField(Field field)

      Applies the insert-default-value to the given field if any was defined in the `InsertFactory`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.